 REM File: Dndinit for Dndbbs Version v5.0a Release r2.0 Tweak t6.0a
 REM $INCLUDE: 'DNDINIT.INC'

SUB DELETE.DATA.FILES
 Filename$=UCASE$(Action.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(MonClass.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(Monster.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(MonTalk.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(NonPlayer.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(Spell.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(Treasure.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(Moninv.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(User.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(CtnInv.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(UserInv.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(Container.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(Team.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
 Filename$=UCASE$(TeamInv.FileName)
 IF DIR$(Filename$)<>Nul THEN
    KILL Filename$
 END IF
END SUB

SUB WRITE.ACTION.FILE
 CLOSE #1
 OPEN Action.FileName FOR RANDOM AS #1 LEN = LEN(ActionRecord)
 ActionRecord.Attribute1 = False
 ActionRecord.Attribute2 = False
 ActionRecord.EncounterRate = False
 ActionRecord.Fumble = False
 ActionRecord.HealthRate = False
 ActionRecord.HitPoints = False
 ActionRecord.Inventory = False
 ActionRecord.InvPercent = False
 ActionRecord.InvNumber = False
 ActionRecord.Level = False
 For Temp = 1 To 3
    ActionRecord.AttackMonster(Temp) = False
    ActionRecord.MonsterTrigger(Temp) = False
    ActionRecord.MonsterTrigger(Temp) = False
 Next
 ActionRecord.Restrictions = False
 ActionRecord.RustRate = False
 ActionRecord.SpellTrigger = False
 ActionRecord.StealRate = False
 For Temp=1 To 5
    ActionRecord.Teleport(Temp) = False
 Next
 ActionRecord.TelePercent = False
 ActionRecord.Hidden = False
 PUT 1, 1, ActionRecord
END SUB

SUB WRITE.MONCLASS.FILE
 RESTORE Data0
 CLOSE #1
 OPEN MonClass.FileName FOR RANDOM AS #1 LEN = LEN(MonClassRecord)
 FOR TempL = 1 TO 50
    FOR TempM = 1 TO 10
       READ MonClassRecord.Monsters(TempM)
    NEXT
    PUT 1, TempL, MonClassRecord
 NEXT
END SUB

SUB WRITE.MONTALK.FILE
 RESTORE Data1
 CLOSE #1
 OPEN MonTalk.FileName FOR RANDOM AS #1 LEN = LEN(MonsterTalkRecord)
 FOR TempX = 1 TO 6
    READ MonsterTalkRecord.TalkMessage
    PUT 1, TempX, MonsterTalkRecord
 NEXT
END SUB

SUB WRITE.NONPLAYER.FILE
 RESTORE Data3
 CLOSE #1, #2
 OPEN NonPlayer.FileName FOR RANDOM AS #1 LEN = LEN(MonsterRecord)
 FOR TempX = 1 TO 6
    READ MonsterRecord.monstername
    READ MonsterRecord.pluralname
    For TempY = 1 To 5
       Read TempZ
    Next
    READ MonsterRecord.Experience
    MonsterRecord.Gold=10000
    READ MonsterRecord.NumberAppearing
    READ MonsterRecord.Level
    READ MonsterRecord.Hits
    READ MonsterRecord.Poison
    READ MonsterRecord.LevelDrain
    READ MonsterRecord.Spell
    READ MonsterRecord.Block
    READ MonsterRecord.Prevent
    READ MonsterRecord.Follow
    READ MonsterRecord.Magic
    READ MonsterRecord.Jail
    READ MonsterRecord.TeleportPercent
    READ MonsterRecord.FollowPercent
    READ MonsterRecord.BlockPercent
    READ MonsterRecord.PreventPercent
    READ MonsterRecord.SpellPercent
    READ MonsterRecord.PoisonPercent
    READ MonsterRecord.DrainPercent
    READ MonsterRecord.Rate
    READ MonsterRecord.RatePercent
    READ MonsterRecord.Permanent
    READ MonsterRecord.Talk(1)
    READ MonsterRecord.Talk(2)
    READ MonsterRecord.Talk(3)
    READ MonsterRecord.Talk(4)
    READ MonsterRecord.Talk(5)
    READ MonsterRecord.Psionic
    READ MonsterRecord.PsionicSpell
    READ MonsterRecord.Equation
    READ MonsterRecord.MonsterEquate
    MonsterRecord.MonsterSurprise=""
    MonsterRecord.MonsterSavingThrow=""
    MonsterRecord.Prefix1=""
    If MonsterRecord.Level>=10 Then
       MonsterRecord.Prefix1=Strng3+"FB"
    Else
       If MonsterRecord.Spell Then
          MonsterRecord.Prefix1=Strng3+"FA"
       Else
          MonsterRecord.Prefix1=Strng3+"F9"
       Endif
    Endif
    MonsterRecord.First=SFalse
    MonsterRecord.Last=SFalse
    MonsterRecord.Weapon=SFalse
    MonsterRecord.Shield=SFalse
    MonsterRecord.Armor=SFalse
    PUT 1, TempX, MonsterRecord
 NEXT
END SUB

SUB WRITE.SPELL.FILE
 RESTORE Data2
 CLOSE #1
 OPEN Spell.FileName FOR RANDOM AS #1 LEN = LEN(SpellRecord)
 FOR TempX = 1 TO 67
    READ SpellRecord.spellname
    READ SpellRecord.chant
    READ SpellRecord.Level
    READ SpellRecord.spelltype
    READ SpellRecord.Teleport
    READ SpellRecord.Psionic
    READ SpellRecord.psionicmode
    READ SpellRecord.classtype
    READ SpellRecord.desc
    READ SpellRecord.ingred(1)
    READ SpellRecord.ingred(2)
    READ SpellRecord.ingred(3)
    READ SpellRecord.ingred(4)
    READ SpellRecord.ingred(5)
    READ SpellRecord.spellflag
    READ SpellRecord.spellequate
    READ SpellRecord.Equation
    SpellRecord.Prefix1=""
    Select Case SpellRecord.SpellType
    Case 1
       SpellRecord.Prefix1="{F9"
    Case 2
       SpellRecord.Prefix1="{FA"
    Case 3
       SpellRecord.Prefix1="{FF"
    Case 4
       SpellRecord.Prefix1="{FF"
    Case 5
       SpellRecord.Prefix1="{F5"
    Case 6
       SpellRecord.Prefix1="{FB"
    Case 7
       SpellRecord.Prefix1="{FC"
    Case 8
       SpellRecord.Prefix1="{FF"
    Case 9
       SpellRecord.Prefix1="{FD"
    Case 10
       SpellRecord.Prefix1="{FE"
    Case 11
       SpellRecord.Prefix1="{F6"
    Case 12
       SpellRecord.Prefix1="{FD"
    Case 13
       SpellRecord.Prefix1="{FE"
    Case 14
       SpellRecord.Prefix1="{F5"
    Case 15
       SpellRecord.Prefix1="{FA"
    Case 16
       SpellRecord.Prefix1="{F1"
    Case 17
       SpellRecord.Prefix1="{F1"
    Case 18
       SpellRecord.Prefix1="{F1"
    Case 19
       SpellRecord.Prefix1="{FA"
    Case 20
       SpellRecord.Prefix1="{F2"
    Case 21
       SpellRecord.Prefix1="{F2"
    Case 22
       SpellRecord.Prefix1="{F2"
    Case 23
       SpellRecord.Prefix1="{F3"
    Case 24
       SpellRecord.Prefix1="{F4"
    Case 25
       SpellRecord.Prefix1="{F4"
    Case 26
       SpellRecord.Prefix1="{F4"
    Case 27
       SpellRecord.Prefix1="{FA"
    Case 28
       SpellRecord.Prefix1="{FE"
    Case Else
       SpellRecord.Prefix1="{FF"
    End Select
    PUT 1, TempX, SpellRecord
 NEXT
END SUB

Data0:
 DATA 1,2,3,4,5,6,7,8,9,10
 DATA 24,25,26,27,28,29,30,31,32,33
 DATA 41,42,43,44,45,46,47,48,49,50
 DATA 62,63,64,65,66,67,68,69,70,71
 DATA 81,82,83,84,85,86,87,88,89,90
 DATA 100,101,102,103,104,105,106,107,108,109
 DATA 119,120,121,122,123,124,125,126,127,128
 DATA 138,139,140,141,142,143,144,145,146,147
 DATA 157,158,159,160,161,162,163,164,165,166
 DATA 176,177,178,179,180,181,182,183,184,185
 DATA 14,15,16,17,18,19,20,21,22,23
 DATA 33,34,35,36,37,38,39,40,41,42
 DATA 52,53,54,55,56,57,58,59,60,61
 DATA 71,72,73,74,75,76,77,78,79,80
 DATA 90,91,92,93,94,95,96,97,98,99
 DATA 109,110,111,112,113,114,115,116,117,118
 DATA 128,129,130,131,132,133,134,135,136,137
 DATA 147,148,149,150,151,152,153,154,155,156
 DATA 166,167,168,169,170,171,172,173,174,175
 DATA 185,186,187,188,189,190,191,192,193,194
 DATA 15,16,17,23,24,25,32,33,34,35
 DATA 101,102,103,104,105,106,107,108,109,110
 DATA 150,151,152,153,154,155,156,157,158,159
 DATA 170,171,172,173,174,175,176,177,178,179
 DATA 220,221,222,223,224,225,223,222,221,220
 DATA 54,55,56,57,58,57,56,55,54,55
 DATA 94,95,94,93,92,91,92,93,94,95
 DATA 11,13,15,17,19,21,23,25,27,29
 DATA 214,215,212,214,213,214,215,212,213,214
 DATA 101,104,107,110,113,115,117,119,120,121
 DATA 217,218,219,215,214,212,213,218,219,220
 DATA 136,137,138,139,140,136,132,128,124,120
 DATA 69,68,67,37,36,35,52,53,54,55
 DATA 11,11,16,16,19,19,31,53,46,70
 DATA 10,10,10,18,14,14,22,23,24,25
 DATA 84,87,88,96,102,112,113,121,124,111
 DATA 40,42,44,46,48,50,52,54,56,58
 DATA 116,100,94,90,86,82,78,74,70,66
 DATA 112,120,128,132,130,129,128,126,124,121
 DATA 130,131,120,121,110,111,90,88,60,40
 DATA 43,44,45,46,47,48,49,50,51,52
 DATA 118,119,120,121,122,123,124,125,126,127
 DATA 120,121,130,131,140,141,150,151,160,161
 DATA 118,119,120,121,122,123,124,125,126,127
 DATA 10,20,30,40,50,60,70,80,90,100
 DATA 10,20,30,40,50,60,70,80,90,100
 DATA 10,20,30,40,50,60,70,80,90,100
 DATA 10,20,30,40,50,60,70,80,90,100
 DATA 10,20,30,40,50,60,70,80,90,100
 DATA 1,10,30,2,20,40,3,21,31,41

Data1:
 DATA "First i'm gonna waste yer face then i'm gonna stomp on it!!"
 DATA "I'm gonna tear yer heart outta yer chest and rip it ta shreds!!"
 DATA "I'm gonna blast ya ta pieces with a fireball spell!!"
 DATA "Your face is gonna be smeared all over the ground dude!"
 DATA "You slimeball! You better get outta my sight forever!"
 DATA "You creep! I'll break your bones to bits!"

Data2:
 DATA "vigor","I INVIGORATE THEE",1,6,0,0,0,510,"You feel invigorated!",0,0,0,0,0,0,"",0
 DATA "heal","I CLEANSE THY WOUNDS",1,7,0,0,0,510,"You feel healing powers flow to you!",0,0,0,0,0,0,"",0
 DATA "enchant","I GIVE THEE POWER",1,1,0,0,0,510,"Magic power flows through you!",0,0,0,0,0,0,"",0
 DATA "curepoison","I PURIFY THY BODILY FLUIDS",1,8,0,0,0,510,"You feel cleansed!",0,0,0,0,0,0,"",0
 DATA "bless","THE POWERS THAT BE BLESS ME",1,3,0,0,0,20,"The Ghods look upon you in favor!",0,0,0,0,0,0,"",0
 DATA "wish","I GRANT THEE RICHES BEYOND BELIEF",1,4,0,0,0,4,"The Ghods allow you divine restitution!",0,0,0,0,0,0,"",0
 DATA "poison","YOUR BLOOD TURNS TO POISON",5,5,0,0,0,510,"The monster's veins become poisoned!",0,0,0,0,0,0,"",0
 DATA "fireball","FIRE FALLS FROM ABOVE",1,2,0,0,0,510,"Fireballs fly from your fingers and engulf the monster!",0,0,0,0,0,0,"10/2",1
 DATA "lightning bolt","ELECTRICITY FLIES FROM MY FINGERTIPS",2,2,0,0,0,254,"The air crackles as a bolt of lightning hits the monster!",0,0,0,0,0,0,"",0
 DATA "disintegration","BLAST YOU TO PIECES",3,2,0,0,0,254,"You see a bolt of energy trying to rip the monster apart!",0,0,0,0,0,0,"",0
 DATA "annihilation","YOU BECOME NONEXISTENT",4,2,0,0,0,20,"Strong powers attempt to destroy the monster utterly!",0,0,0,0,0,0,"",0
 DATA "obliteration","I DESTROY YOU UTTERLY",5,2,0,0,0,20,"An impossibly powerful force grapples with the monster!",0,0,0,0,0,0,"",0
 DATA "destruction","MAY THE LIFE BE STOLEN FROM YOUR SOUL",6,2,0,0,0,4,"Forces of evil struggle to tear the monster into pieces!",0,0,0,0,0,0,"",0
 DATA "elimination","YOU ARE ENTIRELY DESTROYED",7,2,0,0,0,4,"You send a powerful force crashing into the monster!",0,0,0,0,0,0,"",0
 DATA "incineration","YOUR LIFE BURNS AWAY",8,2,0,0,0,4,"A large ball of heat surrounds the monster!",0,0,0,0,0,0,"",0
 DATA "devestation","ERASE YOUR BODY AND SOUL",9,2,0,0,0,4,"You blast the monster with energy from the negative plane!",0,0,0,0,0,0,"",0
 DATA "demolition","THE FORCES OF EVIL CRUSH YOU",10,2,0,0,0,4,"You transmit forces from the antimatter plane upon the monster!",0,0,0,0,0,0,"",0
 DATA "teleportation","I TAKE THEE TO THE CITY CENTER",2,10,1,0,0,260,"You teleport to the Town Square!",0,0,0,0,0,0,"",0
 DATA "teleportation","TRANSPORT ME ELSEWHERE",2,10,45,0,0,4,"You teleport out of the room!",0,0,0,0,0,0,"",0
 DATA "asphyixiation","YOU CANNOT BREATH",2,5,0,0,0,4,"The monster starts choking!",0,0,0,0,0,0,"",0
 DATA "pass door","LET ME PASS THROUGH",1,13,0,0,0,4,"The spell turns tumblers in the lock.",0,0,0,0,0,0,"",0
 DATA "level drain","YOUR POWER FLOWS INTO THE EARTH",1,9,0,0,0,20,"The monster's life force is drained!",0,0,0,0,0,0,"",0
 DATA "befuddlement","YOU BECOME CONFUSED",1,11,0,0,0,6,"The monster looks bewildered!",0,0,0,0,0,0,"",0
 DATA "curse undead","YOU TURN TO DUST",1,12,0,0,0,20,"The Ghods try to damn the monster!",0,0,0,0,0,0,"",0
 DATA "conjure demon","I CALL UPON THE GHODS FROM HELL",3,14,0,0,0,20,"You call upon the Ghods for evil!",0,0,0,0,0,0,"",0
 DATA "sufocation","YOU CAN NO LONGER BREATH",1,2,0,0,0,4,"The air is taken from the monster!",0,0,0,0,0,0,"",0
 DATA "magic missile","I CAST DARTS OF FIRE UPON YOU",2,2,0,0,0,4,"You fling magic darts and missiles into the monster!",0,0,0,0,0,0,"",0
 DATA "phantasm force","MY MIGHT WEAKENS THEE",3,2,0,0,0,4,"You see vaporis walls of colors surround the monster!",0,0,0,0,0,0,"",0
 DATA "turn undead","YOUR BONES TURN TO ASHES",4,12,0,0,0,20,"You see power flow away from the monster!",0,0,0,0,0,0,"",0
 DATA "strangulation","YOUR THROAT TIGHTENS",1,2,0,0,0,4,"Something chokes the monster!",0,0,0,0,0,0,"",0
 DATA "desecration","THE BLASPHEMIES FROM HELL CURSE YOUR EXISTENCE",2,2,0,0,0,4,"The Ghods disrupt the monster's presence!",0,0,0,0,0,0,"",0
 DATA "paralyzation","YOUR BODY BECOMES FROZEN FOR ETERNITY",3,2,0,0,0,4,"You see the monster become still as ice!",0,0,0,0,0,0,"",0
 DATA "emanciation","YOU ARE VERY WEAK",4,2,0,0,0,4,"You see the monster shrivel and parch!",0,0,0,0,0,0,"",0
 DATA "polymorph","FORCES ALTER YOUR SHAPE",5,2,0,0,0,4,"The monster goes through changes of size and shape!",0,0,0,0,0,0,"",0
 DATA "blaspheme","YOU HEAR WORDS FROM HELL",1,2,0,0,0,4,"You see forces tear at the monster!",0,0,0,0,0,0,"",0
 DATA "sacrilege","HELL'S CREATION DESTROYS YOU",2,2,0,0,0,4,"Unseen powers rip the monsters apart!",0,0,0,0,0,0,"",0
 DATA "doomkill","YOUR LIFEFORCE WEAKENS",3,2,0,0,0,4,"The monster's powers drain!",0,0,0,0,0,0,"",0
 DATA "deathkill","DEATHLY POWERS ATTACK YOU",4,2,0,0,0,4,"The monster's life wanes!",0,0,0,0,0,0,"",0
 DATA "hellsbane","YOUR GHOD DAMNS YOU",5,2,0,0,0,4,"Evil powers attack the monster!",0,0,0,0,0,0,"",0
 DATA "psionic blast","A FORCE FROM MY MIND ATTACKS YOU",1,15,0,1,1,254,"",0,0,0,0,0,0,"",0
 DATA "mind thrust","THE POWER OF MY MIND PUSHES YOU APART",2,15,0,1,1,254,"",0,0,0,0,0,0,"",0
 DATA "ego whip","MY POWER FLAILS YOUR MIND",3,15,0,1,1,254,"",0,0,0,0,0,0,"",0
 DATA "id insinuation","MY PSI OVERPOWERS YOUR MIND",4,15,0,1,1,254,"",0,0,0,0,0,0,"",0
 DATA "psychic crush","MY MIND REACHES OUT AND CRUSHES YOUR MIND",5,15,0,1,1,254,"",0,0,0,0,0,0,"",0
 DATA "mind blank","I CLEAR MY THOUGHTS",1,15,0,1,2,254,"",0,0,0,0,0,0,"",0
 DATA "thought shield","I PRODUCE A WALL OF THOUGHTS",2,15,0,1,2,254,"",0,0,0,0,0,0,"",0
 DATA "mental barrier","MY MIND BECOMES A FORCESHIELD",3,15,0,1,2,254,"",0,0,0,0,0,0,"",0
 DATA "intellect fortress","MY ENTIRE PSI PROTECTS ME",4,15,0,1,2,254,"",0,0,0,0,0,0,"",0
 DATA "tower of iron will","MY MIND AND WILL CREATES AN IRON WALL",5,15,0,1,2,510,"",0,0,0,0,0,0,"",0
 DATA "detect lock","SHOW ME THE HIDDEN AREAS",1,16,0,0,0,510,"",0,0,0,0,0,0,"",0
 DATA "detect evil","WHICH IS THE WORST WAY?",1,17,0,0,0,510,"",0,0,0,0,0,0,"",0
 DATA "detect trap","I KNOW THE TRAPS",1,18,0,0,0,510,"",0,0,0,0,0,0,"",0
 DATA "teleport","CARRY ME AWAY",1,10,192,0,0,510,"You teleport away!",0,0,0,0,0,0,"",0
 DATA "teleport","TAKE ME ELSEWHERE",2,10,47,0,0,510,"You teleport elsewhere!",0,0,0,0,0,0,"",0
 DATA "confusion","YOU ARE UNABLE TO THINK",2,2,0,0,0,4,"The monster looks confused!",0,0,0,0,0,0,"",0
 DATA "paranoia","YOU ARE UNSURE",3,2,0,0,0,4,"The monster cannot think!",0,0,0,0,0,0,"",0
 DATA "set trap","THE ROOM BECOMES DANGEROUS FOR ANOTHER",1,20,0,0,0,4,"You see a glow about the room.",0,0,0,0,0,0,"",0
 DATA "hide","I PLACE YOU AWAY MAGICALLY",1,21,0,0,0,4,"You see it disappear!",0,0,0,0,0,0,"",0
 DATA "search","HUNT DOWN THE HIDDEN OBJECTS",1,22,0,0,0,4,"The room glows magically!",0,0,0,0,0,0,"",0
 DATA "decimation","YOUR MIND IS UTTERLY DECIMATED",6,2,0,0,0,4,"The crack of day snaps your senses!",0,0,0,0,0,0,"",0
 DATA "genocide","ULTIMATE CATASTOPHE ANNIHILATES THE UNIVERSE.",9,2,0,0,0,4,"Explosive forces utterly destroy the monster!!",0,0,0,0,0,0,"",0
 DATA "cremation","FIRE TURNS THEE TO ASHES",6,2,0,0,0,510,"The monster burns up in a fiery ball of fire!",0,0,0,0,0,7,"",0
 DATA "identify","LET ME SEE ALL",1,24,0,0,0,510,"You look into the monster!",0,0,0,0,0,0,"",0
 DATA "enlighten","LET ME SEARCH ALL",1,25,0,0,0,254,"The room lights up in an orange glow!",0,0,0,0,0,0,"",0
 DATA "illuminate","LET ME KNOW ALL",1,26,0,0,0,510,"",0,0,0,0,0,0,"",0
 DATA "psyche","I GRANT THEE ENERGY",1,27,0,0,0,510,"",0,0,0,0,0,0,"",0
 DATA "telepathy","I CAST A THOUGHT TO OTHERS",1,28,0,0,0,510,"",0,0,0,0,0,0,"",0

Data3:
 DATA "priest","11",0,0,0,0,0,20000,1,15,32767,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,""
 DATA "jailer","12",0,0,0,0,0,20000,1,15,32767,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,""
 DATA "fence","13",0,0,0,0,0,20000,1,15,32767,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,""
 DATA "blacksmith","14",0,0,0,0,0,20000,1,15,32767,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,""
 DATA "broker","15",0,0,0,0,0,20000,1,15,32767,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,""
 DATA "alchemist","16",0,0,0,0,0,20000,1,15,32767,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,""
